Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class FloatHolder

    java.lang.Object
      org.omg.CORBA.FloatHolder

All Implemented Interfaces:
  Streamable

    public final class FloatHolder

extends Object
implements Streamable

The Holder for `Float`. For more information on Holder files, see "Generated Files: Holder Files".

A Holder class for a `float` that is used to store "out" and "inout" parameters in IDL methods. If an IDL method signature has an IDL `float` as an "out" or "inout" parameter, the programmer must pass an instance of `FloatHolder` as the corresponding parameter in the method invocation; for "inout" parameters, the programmer must also fill the "in" value to be sent to the server. Before the method invocation returns, the ORB will fill in the value corresponding to the "out" value returned from the server.

If `myFloatHolder` is an instance of `FloatHolder`, the value stored in its `value` field can be accessed with `myFloatHolder.value`.

Since:
  JDK1.2

Field Summary
`float` | `value` The `float` value held by this `FloatHolder` object.

Constructor Summary
`FloatHolder()` Constructs a new `FloatHolder` object with its `value` field initialized to 0.0.
`FloatHolder(float initial)` Constructs a new `FloatHolder` object for the given `float`.

Method Summary
`void` | `_read(InputStream input)` Read a float from an input stream and initialize the value member with the float value.
`TypeCode` | `_type()` Return the `TypeCode` of this Streamable.
`void` | `_write(OutputStream output)` Write the float value into an output stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public float value

  The `float` value held by this `FloatHolder` object.

Constructor Detail

### FloatHolder

    public FloatHolder()

  Constructs a new `FloatHolder` object with its `value` field initialized to 0.0.

### FloatHolder

    public FloatHolder(float initial)

  Constructs a new `FloatHolder` object for the given `float`.

  Parameters:
    `initial` - the `float` with which to initialize the `value` field of the new `FloatHolder` object

Method Detail

### _read

    public void _read(InputStream input)

  Read a float from an input stream and initialize the value member with the float value.

  Specified by:
    `_read` in interface `Streamable`
  Parameters:
    `input` - the `InputStream` to read from.

### _write

    public void _write(OutputStream output)

  Write the float value into an output stream.

  Specified by:
    `_write` in interface `Streamable`
  Parameters:
    `output` - the `OutputStream` to write into.

### _type

    public TypeCode _type()

  Return the `TypeCode` of this Streamable.

  Specified by:
    `_type` in interface `Streamable`
  Returns:
    the `TypeCode` object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.